%define name d80211-source
%define snapshot 20060906
%define short_name d80211
%define version 0.1
%define release %mkrel 0.%{snapshot}.1

Summary: Dscape wireless stack (d80211) source code
Name: %{name}
Version: %{version}
Release: %{release}
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/jbenc/dscape.git dscape
# tar cjf d80211-`date +%Y%m%d`.tar.bz2 d80211/include/net/d80211* d80211/net/d80211
Source0: %{short_name}-%{snapshot}.tar.bz2
License: GPL
Group: Development/Kernel
Url: http://kernel.org/pub/linux/kernel/people/jbenc/README
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
This package contains the source code of the Dscape wireless stack
(d80211).

%prep
%setup -q -n %{short_name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/src/d80211/
cp -a net include $RPM_BUILD_ROOT/usr/src/d80211/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/src/d80211/
/usr/src/d80211/*

%changelog
* Wed Sep  6 2006 Olivier Blin <blino@mandriva.com> 0.1-0.20060906.1mdv2007.0
- initial Mandriva release
